Skip to main content
PUT
/
v2
/
entity-field-mappings
/
{id}
Update Entity Field Mapping
curl --request PUT \
  --url https://public.api.serval.com/v2/entity-field-mappings/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "externalFieldPath": "<string>",
  "priority": 123
}
'
{
  "data": {
    "id": "<string>",
    "ingestionConfigId": "<string>",
    "internalFieldId": "<string>",
    "externalFieldPath": "<string>",
    "priority": 123,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The ID of the field mapping to update.

Body

application/json
externalFieldPath
string | null

New external field path. Omit to leave unchanged.

priority
number<double> | null

New precedence. Omit to leave unchanged.

Response

Success

data
data · object

The updated field mapping.